mariadb_cancel(3)

  Name
mariadb_cancel - Immediately aborts a connection

  Synopsis

        #include <mysql.h>

        int mariadb_cancel(MYSQL * mysql);

  Description
Immediately aborts a connection by making all subsequent read/write operations fail. mariadb_cancel() does not invalidate memory used for mysql structure, nor close any communication channels. To free the memory, mysql_close(3) must be called. mariadb_cancel() is useful to break long queries in situations where sending KILL is not possible.

  Parameter
mysql - mysql handle, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Return value
Returns zero on success or a non-zero value on error.

  History
mariadb_cancel() was added in Connector/C 3.0